import Vue from 'vue';
import VueI18n from 'vue-i18n';
import Cookies from 'js-cookie';
import { GetWordPack } from '@/api/app';

Vue.use(VueI18n);

export const i18n = new VueI18n({
  locale: Cookies.get('lang') || 'zh',
  messages: {},
  silentTranslationWarn: true
});

export function setI18nLang(lang) {
  Cookies.set('lang', lang);
  i18n.locale = lang;
}

/**
 * @description 更新语言列表
 * @param {Object} Parameter word_key_list 需要读取的词汇
 */
export function updateLanguageList(Parameter) {
  Parameter.language_type = i18n.locale;

  GetWordPack(Parameter).then(data => {
    i18n.setLocaleMessage(data.language_type, data.word_pack);
  });
}
